# Changes against Radix:
# - @TODO!
$schema: https://git.drupalcode.org/project/drupal/-/raw/10.1.x/core/modules/sdc/src/metadata.schema.json
name: Nav
status: experimental
description: 'Nav component description. This component provides flexible navigation with several styles, alignments and fill options.'
replaces: 'radix:nav'
libraryOverrides:
  dependencies:
    - drowl_base/hover_intent
props:
  type: object
  properties:
    alignment:
      type: string
      name: Alignment
      description: "Specifies the alignment of the navigation. Available options: 'left', 'right', 'center', 'vertical'."
      enum:
        - ''
        - left
        - right
        - center
        - vertical
    dropdown_direction:
      type: string
      name: Direction
      description: "Specifies the direction of the dropdown menu flyout. Available options: 'dropdown', 'dropdown-center', 'dropup', 'dropup-center', 'dropend', 'dropstart'."
      enum:
        - ''
        - dropdown
        - dropdown-center
        - dropup
        - dropup-center
        - dropend
        - dropstart
    is_hover_nav:
      type: boolean
      title: Dropdown Toggle
      description: 'A flag indicating if this a hover, not a click menu.'
    is_dropdown_toggle_static:
      type: boolean
      title: Dropdown Toggle
      description: 'A flag indicating that dropdown flyouts should be static not absolute (example: mobile offcanvas menu).'
    hide_megamenus:
      type: boolean
      title: Hide Megamenus
      description: 'A flag indicating that megamenus should be hidden while showing the regular menu structure.'
    style:
      type: string
      name: Style
      description: "Specifies the style of the navigation. Available options: 'tabs', 'pills'."
      enum:
        - ''
        - tabs
        - pills
    fill:
      type: string
      name: Fill
      description: "Specifies whether the navigation items should fill or justify the available navigation space. Available options: 'fill', 'justify'."
      enum:
        - ''
        - fill
        - justify
    expand_active_trail:
      type: boolean
      title: Expand active trail submenus by default
    nav_utility_classes:
      type: array
      name: Utility Classes
      items:
        type: string
      description: "Additional utility classes that can be added to the nav component. These classes should be defined in your theme's CSS."
    nav_item_utility_classes:
      type: array
      name: Item Utility Classes
      items:
        type: string
      description: "Additional utility classes that can be added to the nav item component. These classes should be defined in your theme's CSS."
    nav_link_utility_classes:
      type: array
      name: Link Utility Classes
      items:
        type: string
      description: "Additional utility classes that can be added to the nav link component. These classes should be defined in your theme's CSS."
    attributes:
      type: Drupal\Core\Template\Attribute
slots:
  nav_items:
    name: Nav Items
    description: Navigation items.
